<!doctype html>
<html lang="pt" xmlns:th="http://thymeleaf.org">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport"
              content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">

        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js"></script>
        <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote-bs4.css" rel="stylesheet">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote-bs4.js"></script>

        <title>New post</title>
    </head>
    <body>

    <header>
        <nav class="navbar navbar-light bg-light">
            <span class="navbar-brand mb-0 h1" style="font-weight: bold">Spring and Bootstrap Blog</span>
        </nav>
    </header>

    <main>
        <section>
            <div class="container" style="width: 60%; padding-bottom: 2rem">

                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb" style="background-color: white; padding-left: 0">
                        <li class="breadcrumb-item" aria-current="page"><a href="/posts">Posts</a></li>
                        <li class="breadcrumb-item active" aria-current="page">New Post</li>
                    </ol>
                </nav>

                <div>
                    <div class="alert alert-danger alert-dismissible" role="alert" th:if="${message != null}">
                        <span th:text="${message}"/>
                    </div>
                    <form th:action="posts" method="post">
                        <input type="text" class="form-control" name="title" placeholder="Title" style="margin-bottom: 1rem"/>

                        <input type="text" class="form-control" name="author" placeholder="Author" style="margin-bottom: 1rem"/>

                        <textarea id="summernote" type="text" class="form-control" name="text" placeholder="Text" style="margin-bottom: 1rem"/></textarea>

                        <button type="submit" class="btn btn-primary" style="margin: 1rem">Publish</button>

                        <a href="/posts" class="btn btn-light" role="button" style="margin: 1rem">Cancel</a>
                    </form>
                </div>
            </div>
        </section>
    </main>

    <footer>

    </footer>

    </body>

    <script>
        $('#summernote').summernote({
            tabsize: 2,
            height: 300
        });
    </script>
</html>